#ifndef COLOR_H
#define COLOR_H
#include <wx/colour.h>

class Color : public wxColour
{
public:
	Color(unsigned char red, unsigned char green, unsigned char blue, unsigned char alpha = wxALPHA_OPAQUE)
		: wxColour(red, green, blue, alpha)
	{}
	Color( const wxString& colourName = wxString("BLACK") )
		: wxColour(colourName)
	{}
	Color& operator=(const wxColour &color);
	void toRgba(float *rgba4f) const;
	void toRgba(unsigned char *rgba4ub) const;
	void toRgb(unsigned char *rgb3ub) const;
};
#endif // COLOR_H
