class Color;
class Vector;
class Vector2;
class Texture;

class VertexTable
{
public:
	unsigned short* indices;
	float* vertices;
	signed short* normals;
	unsigned char* colors;
	float* texCoords;
	unsigned int primitiveCount;
	unsigned int primitiveType;
	unsigned int vertexCount;
	Texture *texture;
	bool deleteIndices;
	unsigned int vboId[5];

	VertexTable(
		unsigned int vertexCount = 0,
		bool useNormal = false,
		bool useColor = false,
		bool useTexture = false
		);
	VertexTable(
		unsigned short* indices,
		float* vertices,
		signed short* normals,
		unsigned char* colors,
		float* texCoords,
		unsigned int primitiveCount,
		unsigned int primitiveType,
		unsigned int vertexCount,
		Texture *texture = (Texture*)0
		);
	~VertexTable();
	void clearPositions();
	void clearIndices();
	void setPosition(unsigned int index, const Vector &position);
	Vector getPosition(unsigned int index);
	void setNormal(unsigned int index, const Vector &normal);
	void setColor(unsigned int index, const Color &color);
	void setTextureCoordinates(unsigned int index, const Vector2 &coords);
	void setPrimitiveCount(unsigned int count);
	void setPrimitive(unsigned int index, unsigned short i, unsigned short j, unsigned short k);
	void setPrimitives(const VertexTable &table);
	void draw(
		bool useTexture = false,
		bool useColor = false,
		bool useVBO = false
		);
	void loadVBOs(
		bool useTexture = false,
		bool useColor = false
		);
	void unLoadVBOs();
};
